---
title: "Revoke an unused connect link"
url: https://docs.light-ai.app/api-reference/partners/revoke-connect-link.md
canonical_url: https://docs.light-ai.app/api-reference/partners/revoke-connect-link
last_updated: 2026-10-13
summary: "POST /v1/partner/connect_links/{connect_link_id}/revoke: Revoke an unused connect link"
api_status: beta
related:
  - https://docs.light-ai.app/api-reference/partners
---

# Revoke an unused connect link

> POST /v1/partner/connect_links/{connect_link_id}/revoke: Revoke an unused connect link

`POST /v1/partner/connect_links/{connect_link_id}/revoke`

|   |   |
| --- | --- |
| Credential | Partner API key (a key of a partner account). |
| Test mode | Live keys only (answers 400 `test_mode_unsupported` to a test key). |

## Path parameters

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `connect_link_id` | string | yes | The link id (`cl_…`). Id prefix `cl_`. |

## Headers

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `Light-AI-Version` | string |  | Pin a dated API version (defaults to the key's version). One of: `2026-11-01`. |

## Request body

An empty JSON object (`{}`) or no body.

## Response 200

The revoked link.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes | Id prefix `cl_`. |
| `object` | string | yes | Always `connect_link`. |
| `scopes` | string[] | yes | One of: `leads:read`, `leads:write`, `clients:read`, `clients:write`, `projects:read`, `projects:write`, `quotes:read`, `quotes:write`, `quotes:share_link`, `quotes:asset_links`, `webhooks:manage`, `events:read`, `mockups:read`, `mockups:write`, `forms:read`, `forms:write`. |
| `bound_organization` | string \| null | yes | Id prefix `org_`. |
| `client_label` | string \| null | yes |  |
| `external_reference` | string \| null | yes |  |
| `metadata` | object | yes |  |
| `redirect_uri` | string \| null | yes |  |
| `status` | string | yes | One of: `open`, `consumed`, `expired`, `revoked`. |
| `grant` | string \| null | yes | Id prefix `grant_`. |
| `created_at` | timestamp | yes | RFC 3339 timestamp (UTC, milliseconds). |
| `expires_at` | timestamp | yes | RFC 3339 timestamp (UTC, milliseconds). |
| `consumed_at` | timestamp \| null | yes | RFC 3339 timestamp (UTC, milliseconds). |
| `url` | string |  | The link to send to the contractor. Returned only when created. |

## Errors

| Status | Meaning |
| --- | --- |
| `400` | Bad request. [`bad_request`](https://docs.light-ai.app/errors#bad_request), [`test_mode_mismatch`](https://docs.light-ai.app/errors#test_mode_mismatch), [`test_mode_unsupported`](https://docs.light-ai.app/errors#test_mode_unsupported), [`unsupported_api_version`](https://docs.light-ai.app/errors#unsupported_api_version) |
| `401` | Missing or invalid credential. [`authentication_required`](https://docs.light-ai.app/errors#authentication_required), [`invalid_api_key`](https://docs.light-ai.app/errors#invalid_api_key), [`api_key_revoked`](https://docs.light-ai.app/errors#api_key_revoked), [`api_key_expired`](https://docs.light-ai.app/errors#api_key_expired), [`api_key_suspended`](https://docs.light-ai.app/errors#api_key_suspended) |
| `403` | Not allowed. [`insufficient_scope`](https://docs.light-ai.app/errors#insufficient_scope), [`plan_upgrade_required`](https://docs.light-ai.app/errors#plan_upgrade_required), [`organization_paused`](https://docs.light-ai.app/errors#organization_paused), [`organization_off_season`](https://docs.light-ai.app/errors#organization_off_season), [`api_disabled`](https://docs.light-ai.app/errors#api_disabled), [`api_access_not_enabled`](https://docs.light-ai.app/errors#api_access_not_enabled), [`ip_not_allowed`](https://docs.light-ai.app/errors#ip_not_allowed), [`forbidden`](https://docs.light-ai.app/errors#forbidden) |
| `404` | Not found (also for objects of other organizations and for organizations without an active grant). |
| `409` | Conflict. [`stale_state`](https://docs.light-ai.app/errors#stale_state), [`conflict`](https://docs.light-ai.app/errors#conflict), [`idempotency_in_progress`](https://docs.light-ai.app/errors#idempotency_in_progress), [`idempotency_scope_mismatch`](https://docs.light-ai.app/errors#idempotency_scope_mismatch), [`quote_already_decided`](https://docs.light-ai.app/errors#quote_already_decided), [`quote_not_current`](https://docs.light-ai.app/errors#quote_not_current), [`billing_review_required`](https://docs.light-ai.app/errors#billing_review_required) |
| `413` | Request bodies are limited to 256 KB. |
| `415` | The body is not JSON: send Content-Type: application/json. [`unsupported_media_type`](https://docs.light-ai.app/errors#unsupported_media_type) |
| `422` | Validation failed. [`idempotency_key_reused`](https://docs.light-ai.app/errors#idempotency_key_reused) |
| `429` | Rate limited or daily cap reached. See Retry-After and the RateLimit headers. [`rate_limited`](https://docs.light-ai.app/errors#rate_limited), [`daily_cap_reached`](https://docs.light-ai.app/errors#daily_cap_reached) |
| `500` | Unexpected server error. Safe to retry with exponential backoff; quote the Request-Id to support. [`internal_error`](https://docs.light-ai.app/errors#internal_error) |
| `503` | Temporarily unavailable. Retry with exponential backoff. [`service_unavailable`](https://docs.light-ai.app/errors#service_unavailable) |

## Examples

**Request**

curl:

```bash
curl -X POST "https://api.light-ai.app/v1/partner/connect_links/{connect_link_id}/revoke" \
  -H "Authorization: Bearer $LIGHT_AI_API_KEY"
```

JavaScript:

```javascript
const response = await fetch('https://api.light-ai.app/v1/partner/connect_links/{connect_link_id}/revoke', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LIGHT_AI_API_KEY}`,
  },
});
const data = await response.json();
```

Python:

```python
import os, uuid, requests

response = requests.post(
    "https://api.light-ai.app/v1/partner/connect_links/{connect_link_id}/revoke",
    headers={
        "Authorization": f"Bearer {os.environ['LIGHT_AI_API_KEY']}",
    },
    timeout=30,
)
data = response.json()
```

**Response 200**

```json
{
  "id": "cl_3f9c2a7be41d…",
  "object": "connect_link",
  "scopes": [
    "leads:read"
  ],
  "bound_organization": "org_3f9c2a7be41d…",
  "client_label": "string",
  "external_reference": "string",
  "metadata": {},
  "redirect_uri": "string",
  "status": "open",
  "grant": "grant_3f9c2a7be41d…",
  "created_at": "2026-10-12T14:03:11.000Z",
  "expires_at": "2026-10-12T14:03:11.000Z",
  "consumed_at": "2026-10-12T14:03:11.000Z",
  "url": "https://example.com/…"
}
```
